Wireshark-users: [Wireshark-users] WireShark-1.2.X + WinPcap-4.0.2 = APPCRASH@xxxxxxxxxxx
From: Ionreflex <ionreflex@xxxxxxxxx>
Date: Mon, 21 Sep 2009 13:20:19 -0400
Hi all,

I was wondering if anybody has been able to run WireShark-1.2.X with latest WinPcap stable version, aka v4.0.2, on Vista64 Business Edition; the only way I've been able to make it work is if I installed WinPcap-4.1b5, but I'm kinda reluctant to do so, for 2 other programs : I also use Nmap, which is shipped with WinPcap-4.0.2, and Snort, which I know from past experiences that it just won't work with a beta version of WinPcap.

I've been searching through WireShark documentations, there's no indication that versions 1.2.0 and up require WinPcap-4.1bX, but apparently it is so unofficially... if I'm not doing something wrong, mind that!

Here's a snippet of the error, in french since my OS is in french...


Signature du problème :
  Nom d’événement de problème: APPCRASH
  Nom de l’application: dumpcap.exe
  Version de l’application:
  Horodatage de l'application: 4aaf2c84
  Nom du module par défaut: libglib-2.0-0.dll
  Version du module par défaut:
  Horodateur du module par défaut: 496876b2
  Code de l’exception: 40000015
  Décalage de l’exception: 000000000004bc5d
  Version du système: 6.0.6002.
  Identificateur de paramètres régionaux: 3084
  Information supplémentaire n° 1: cfc2
  Information supplémentaire n° 2: 31790723910cd61fd5a8f1bcc4475ed8
  Information supplémentaire n° 3: 6066
  Information supplémentaire n° 4: a2218ed9eed514232c3aa91e74d44798


After that, WireShark loads, but it is impossible to capture since the WinPcap driver fails to initialize.